# HaruDoc::getInfoAttr

(PECL haru >= 0.0.1)

HaruDoc::getInfoAttr — Get current value of the specified document attribute

### Description

HaruDoc::getInfoAttr ( int `$type` ) : string

Get the current value of the specified document attribute.

### Parameters

`type`

  The type of the attribute. The following values are available:

  - `HaruDoc::INFO_AUTHOR`
  - `HaruDoc::INFO_CREATOR`
  - `HaruDoc::INFO_TITLE`
  - `HaruDoc::INFO_SUBJECT`
  - `HaruDoc::INFO_KEYWORDS`
  - `HaruDoc::INFO_CREATION_DATE`
  - `HaruDoc::INFO_MOD_DATE`

### Return Values

Returns the string value of the specified document attribute.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setInfoAttr() - Set the info attribute of the document
- HaruDoc::setInfoDateAttr() - Set the datetime info attributes of the document